<?php

namespace adrienpayet\comments;

class Comment extends BaseComment
{
  protected string $type = "comment";
  protected array $replies = [];

  public function __construct($data) {
    parent::__construct($data);
  }

  public function toArray() {
    $array = parent::toArray();
    $array['type'] = $this->type;
    $array['replies'] = $this->replies;

    return $array;
  }
}